void jacobn(float x, float y[], float dfdx[], float **dfdy, int n)
{
	float k1=1e-31;
	float k2=1e-9;
	float k3=1e-7;
	float k4=100;
	float k5=1e-8;
	float He=1e17;
int i;
for (i=0; i<n; i++) dfdx[i]=0.0;
dfdy[0][0] =  +  0 -  k3*y[3];
dfdy[1][0] =  -  0;
dfdy[2][0] =  -  0 +  0;
dfdy[3][0] =  -  0 +  0 -  k3*y[3];
dfdy[4][0] =  -  0 +  0 -  0;
dfdy[0][1] =  +  0 -  0;
dfdy[1][1] =  -  k2*y[1]*2;
dfdy[2][1] =  -  0 +  0;
dfdy[3][1] =  -  0 +  k2*y[1]*2 -  0;
dfdy[4][1] =  -  0 +  k2*y[1]*2 -  0;
dfdy[0][2] =  +  0 -  0;
dfdy[1][2] =  -  0;
dfdy[2][2] =  -  k5*y[3] +  0;
dfdy[3][2] =  -  k5*y[3] +  0 -  0;
dfdy[4][2] =  -  0 +  0 -  0;
dfdy[0][3] =  +  0 -  k3*y[0];
dfdy[1][3] =  -  0;
dfdy[2][3] =  -  k5*y[2] +  0;
dfdy[3][3] =  -  k5*y[2] +  0 -  k3*y[0];
dfdy[4][3] =  -  0 +  0 -  0;
dfdy[0][4] =  +  k1*He*He -  0;
dfdy[1][4] =  -  0;
dfdy[2][4] =  -  0 +  k4;
dfdy[3][4] =  -  0 +  0 -  0;
dfdy[4][4] =  -  k1*He*He +  0 -  k4;
}
